ListOwnedServiceAccounts
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.ListOwnedServiceAccounts(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ListOwnedServiceAccountsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUser.listOwnedServiceAccounts();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expandMask": {
"paths": [
"<string>"
]
},
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts"
payload = {
"expandMask": { "paths": ["<string>"] },
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expandMask: {paths: ['<string>']}, pageSize: 123, pageToken: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expandMask' => [
'paths' => [
'<string>'
]
],
'pageSize' => 123,
'pageToken' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"appPath": "<string>",
"appUser": {
"agentStatus": "APP_USER_AGENT_STATUS_UNSPECIFIED",
"appId": "<string>",
"appUserType": "APP_USER_TYPE_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emails": [
"<string>"
],
"employeeIds": [
"<string>"
],
"id": "<string>",
"identityUserId": "<string>",
"isExternal": true,
"nhiDetail": "<string>",
"nhiType": "APP_USER_NHI_TYPE_UNSPECIFIED",
"profile": {},
"status": {
"details": "<string>",
"status": "STATUS_UNSPECIFIED"
},
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernames": [
"<string>"
]
},
"identityUserPath": "<string>",
"lastUsagePath": "<string>"
}
],
"nextPageToken": "<string>"
}AppUsers
List Owned Service Accounts
ListOwnedServiceAccounts returns the service accounts owned by the calling user. The owner is the authenticated caller; it is not accepted as an input.
POST
/
api
/
v1
/
app_users
/
owned_service_accounts
ListOwnedServiceAccounts
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.ListOwnedServiceAccounts(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ListOwnedServiceAccountsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUser.listOwnedServiceAccounts();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expandMask": {
"paths": [
"<string>"
]
},
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts"
payload = {
"expandMask": { "paths": ["<string>"] },
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expandMask: {paths: ['<string>']}, pageSize: 123, pageToken: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expandMask' => [
'paths' => [
'<string>'
]
],
'pageSize' => 123,
'pageToken' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"appPath": "<string>",
"appUser": {
"agentStatus": "APP_USER_AGENT_STATUS_UNSPECIFIED",
"appId": "<string>",
"appUserType": "APP_USER_TYPE_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emails": [
"<string>"
],
"employeeIds": [
"<string>"
],
"id": "<string>",
"identityUserId": "<string>",
"isExternal": true,
"nhiDetail": "<string>",
"nhiType": "APP_USER_NHI_TYPE_UNSPECIFIED",
"profile": {},
"status": {
"details": "<string>",
"status": "STATUS_UNSPECIFIED"
},
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernames": [
"<string>"
]
},
"identityUserPath": "<string>",
"lastUsagePath": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The ListOwnedServiceAccountsRequest message.
Response
200 - application/json
Successful response
The ListOwnedServiceAccountsResponse message.
Was this page helpful?